//
// Truss.java  written by Kenji Shimada
// Modified by Arbtip Dheeravongkit
//

import java.io.*;

public class Truss 
{
    public static void main(String args[]) throws IOException 
    {

        final double  pa[] = {5.5, -2.0, 0.0}, pb[] = {5.0, 0.0, 0.0};
	final double pc[] = {0.0, 0.0, 3.0} , pd[] = {0.0, 0.0, -2.0};
	final double pe[] = {0.0, 4.0, 0.0};

        final double  force = 123;

        System.out.println("\n>> 24-311:Numerical Methods--Gauss-Jordan Elimination with Partial Pivoting <<\n\n");

	// Create a VRML file instance
        Vrml vrml = new Vrml("output.wrl", "Kenji Shimada (shimada@cmu.edu)");

	// Create a canvas in the output file
        vrml.VrmlAxis();

	// Draw a truss member in tension
	vrml.VrmlTruss (pa, pb, force);

	// Draw a truss member in tension
	vrml.VrmlTruss (pa, pc, 2.0*force);

	// Draw a truss member in tension
	vrml.VrmlTruss (pa, pd, 3.0*force);

	// Draw a truss member in compression
	vrml.VrmlTruss (pb, pc, -force);

	// Draw a truss member in compression
	vrml.VrmlTruss (pb, pd, -2.0*force);

	// Draw a truss member with zero force
	vrml.VrmlTruss (pb, pe, 0);
	
	// Close the VRML file
        vrml.VrmlClose();
  }
}



